# Name             : Google Search
# Description      : covers scenarios under Google search
# Author           : Chandra sekaran

# Important Note   : To run this feature add APP=GOOGLE in cucumber run command
# Cucumber run cmd : cucumber -p desktop_dev_chrome -t @rq_desktop_google APP=GOOGLE
#                  : you can use any desktop browser profile in -p
# Rake run cmd     : rake desktop_google_search

@rq_desktop_google
Feature: Google for a given input string

  @tc_01
  Scenario: Search for "bet365" in google and open "bet365.com" website
    Given the user is on the Google home page
    When the user enters "bet365" in the search textbox and clicks the search button
    Then the user should be shown the search results
    When the user clicks the link for bet365
    Then the user should be redirected to the bet365.com website