# Name             : Google Search
# Description      : covers scenarios under Google search on mobile
# Author           : Chandra sekaran

# Important Note   : To run this feature add APP=GOOGLE in cucumber run command
# Cucumber run cmd : cucumber -p mobile_dev_chrome_device -t @rq_mobile_google APP=GOOGLE
#                  : you can use any mobile browser profile in -p
# Rake run cmd     : rake mobile_google_search

@rq_mobile_google
Feature: Google for a given input string

  @tc_05
  Scenario: Search for "rubygems" in google and open "rubygems.org" website
    Given the user is on the mobile Google home page
    When the user searches for "rubygems"
    Then the user should be shown search results
    When the user clicks the link for mobile rubygems
    Then the user should be redirected to the mobile rubygems.org website