# Name             : Gem Search
# Description      : covers scenarios under RubyGem search
# Author           : Chandra sekaran

# Important Note   : To run this feature add APP=RUBYGEMS in cucumber run command
# Cucumber run cmd : cucumber -p desktop_dev_chrome -t @rq_rubygems APP=RUBYGEMS
#                  : you can use any desktop browser profile in -p
# Rake run cmd     : rake desktop_rubygems_search

@rq_rubygems
Feature: Fetch the details of a gem from rubygems.org having the maximum downloads

  Background: Login to rubygems.org website
    Given the user is on the rubygems.org home page
    And the user is signed in

  @tc_02
  Scenario: Find a given static gem name in rubygems.org web site
    When the user enters "watir" in search textbox and press enter
    Then the user should be redirected to gem list page of "watir" gem
    When the user selects the gem having the maximum downloads
    Then the user should be shown the gem description page
    And the user is signed out

  @tc_03
  Scenario: Find a given gem from global test data file in rubygems.org web site
    When the user searches for a gem name from test data
    And the user selects the gem having the maximum downloads
    Then the user should be shown the gem description page
    And the user is signed out

  @tc_04
  Scenario: Find a given gem from local test data file in rubygems.org web site
    When the user searches for a gem name from test data
    And the user selects the gem having the maximum downloads
    Then the user should be shown the gem description page
    And the user is signed out